POST /api/v1/addons/seccl/{addon}/client/{account_uuid}/products/{clientProductId}/accept

Path parameters

  • addon string Required
  • account_uuid string Required
  • clientProductId string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • id string

      The unique identifier of the client product

    • client_ids array[string]

      The client IDs associated with this product

    • node_id string

      The node ID of the client product

    • wrapper_type string

      The wrapper type (ISA, JISA, PENSION, GIA)

    • terms_accepted boolean

      Whether the product terms have been accepted

    • declaration_accepted_date string

      When the declaration was accepted (ISA/JISA)

    • accepted_provider_terms boolean

      Whether provider terms were accepted (PENSION)

POST /api/v1/addons/seccl/{addon}/client/{account_uuid}/products/{clientProductId}/accept
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/addons/seccl/octopus_money/client/6ff8f7f6-1eb3-3525-be4a-3932c805afed/products/architecto/accept' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "id": "CP12345",
  "node_id": "N12345",
  "client_ids": [
    "031DF6J"
  ],
  "wrapper_type": "ISA",
  "terms_accepted": true,
  "accepted_provider_terms": true,
  "declaration_accepted_date": "2025-01-01T00:00:00+00:00"
}